#include <WinTen.h>
#include <Windows.h>
#include <ClipApi.h>

extern WORD __hInstance;

//----------------------------------------------------------------------------//

CLIPPER REGISTERCL()
{
   WNDCLASS cls;

   cls.lpszClassName = _parc( 1 );
   cls.style         = _parni( 2 );
   cls.cbClsExtra    = _parni( 3 );
   cls.cbWndExtra    = _parni( 4 );
   cls.hInstance     = __hInstance;
   cls.hIcon         = 0;
   cls.hCursor       = _parni( 6 );    // So we can change cursors  23/04/94
   cls.hbrBackground = _parni( 7 ) ? _parni( 7 ): GetStockObject( GRAY_BRUSH );
   cls.lpszMenuName  = _parc( 8 );
   cls.lpfnWndProc   = _parnl( 9 ) ? ( FARPROC ) _parnl( 9 ):
                                     ( FARPROC ) DefWindowProc;

   _retl( RegisterClass( &cls ) );
}

//----------------------------------------------------------------------------//

CLIPPER SETCLASSWO() // RD()    hWnd, nIndex, nValue
{
   _retni( SetClassWord( ( HWND ) _parni( 1 ), ( int ) _parni( 2 ),
                         _parni( 3 ) ) );
}

//----------------------------------------------------------------------------//
